Loading...
Searching...
No Matches
errno.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | ARC_ERRNO_NULL -0x01
#define | ARC_ERRNO_DATA -0x02
#define | ARC_ERRNO_COPY -0x03
#define | ARC_ERRNO_EXISTS -0x04
#define | ARC_ERRNO_OVERFLOW -0x05
#define | ARC_ERRNO_INIT -0x06
#define | ARC_ERRNO_CONNECTION -0x07
#define | ARC_DEBUG_LOG_ERROR(STR)
#define | ARC_DEBUG_LOG_ERROR_WITH_VARIABLES(STR, ...)

## Variables

int32_t | arc_errno

## Macro Definition Documentation

## ARC_DEBUG_LOG_ERROR

#define ARC_DEBUG_LOG_ERROR | ( |  | STR | ) |

Definition at line 39 of file errno.h.

## ARC_DEBUG_LOG_ERROR_WITH_VARIABLES

#define ARC_DEBUG_LOG_ERROR_WITH_VARIABLES | ( |  | STR,
|  |  | ... )

Definition at line 40 of file errno.h.

## ARC_ERRNO_CONNECTION

#define ARC_ERRNO_CONNECTION -0x07

Definition at line 12 of file errno.h.

## ARC_ERRNO_COPY

#define ARC_ERRNO_COPY -0x03

Definition at line 8 of file errno.h.

## ARC_ERRNO_DATA

#define ARC_ERRNO_DATA -0x02

Definition at line 7 of file errno.h.

## ARC_ERRNO_EXISTS

#define ARC_ERRNO_EXISTS -0x04

Definition at line 9 of file errno.h.

## ARC_ERRNO_INIT

#define ARC_ERRNO_INIT -0x06

Definition at line 11 of file errno.h.

## ARC_ERRNO_NULL

#define ARC_ERRNO_NULL -0x01

Definition at line 6 of file errno.h.

## ARC_ERRNO_OVERFLOW

#define ARC_ERRNO_OVERFLOW -0x05

Definition at line 10 of file errno.h.

## Variable Documentation

## arc_errno

int32_t arc_errno

extern